Bug 743173 - buildsrpm doesn't warn about "Cannot find/open" spec file
Summary: buildsrpm doesn't warn about "Cannot find/open" spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-04 03:49 UTC by Sergio Basto
Modified: 2011-11-26 23:06 UTC (History)
2 users (show)

Fixed In Version: mock-1.1.17-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 22:59:30 UTC
Type: ---


Attachments (Terms of Use)
Patch to validate input arguments to --spec and --source (1.33 KB, patch)
2011-10-12 19:30 UTC, Clark Williams
no flags Details | Diff

Description Sergio Basto 2011-10-04 03:49:39 UTC
Description of problem:

If I am in wrong directory or if make a typo in option of .spec file.
Mock run like nothing happens and finish without error, just don't build nothing.


Version-Release number of selected component (if applicable):
mock-1.1.15-1.fc15.noarch

How reproducible:
cd rpmbuild/SPEC 

mock -r fedora-15-x86_64  --buildsrpm --spec SPECS/VirtualBox-OSE.spec --sources SOURCES.new/
( note I'm in wrong dir SPEC/SPEC/VirtualBox-OSE.spec doesn't exist )

Actual results:
No error , build.log have one line 
mock-1.1.15

Expected results:
I expect error like this :
ERROR: Cannot find/open spec file: SPECS/VirtualBox-OSE.spec. Error: Unable to open file

Additional info:

no error, confuse me a lot, I thought mock has stop buildsrpm , when I found that neither open spec file, nor SOURCES.

Comment 1 Clark Williams 2011-10-12 19:18:12 UTC
Heh. Here's some comments at the top of do_buildsrpm():

        # TODO: validate spec path (exists)
        # TODO: validate SOURCES path (exists)

I'll add an existance check to this code.

Comment 2 Clark Williams 2011-10-12 19:30:34 UTC
Created attachment 527766 [details]
Patch to validate input arguments to --spec and --source

Patch to add input validation to --spec and --source arguments

Comment 3 Clark Williams 2011-10-12 19:30:54 UTC
queued for mock-1.1.16 release

Comment 4 Fedora Update System 2011-10-14 16:28:35 UTC
mock-1.1.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc15

Comment 5 Fedora Update System 2011-10-14 16:29:38 UTC
mock-1.0.23-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.23-1.el5

Comment 6 Fedora Update System 2011-10-14 16:30:41 UTC
mock-1.1.16-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc14

Comment 7 Fedora Update System 2011-10-14 16:31:45 UTC
mock-1.1.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.el6

Comment 8 Fedora Update System 2011-10-15 20:25:02 UTC
Package mock-1.1.16-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.16-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14382
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-10-24 22:59:30 UTC
mock-1.1.16-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-24 23:04:57 UTC
mock-1.1.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-11-01 15:40:31 UTC
mock-1.1.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc15

Comment 12 Fedora Update System 2011-11-01 15:41:53 UTC
mock-1.1.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc16

Comment 13 Fedora Update System 2011-11-01 15:43:05 UTC
mock-1.1.17-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc14

Comment 14 Fedora Update System 2011-11-01 15:44:28 UTC
mock-1.0.24-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.24-1.el5

Comment 15 Fedora Update System 2011-11-01 15:45:49 UTC
mock-1.1.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.el6

Comment 16 Fedora Update System 2011-11-11 01:22:49 UTC
mock-1.1.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-11-26 19:23:55 UTC
mock-1.1.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-11-26 19:25:14 UTC
mock-1.0.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-11-26 23:02:30 UTC
mock-1.1.17-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-11-26 23:06:43 UTC
mock-1.1.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.